Bug 226771 - devel/py-pyutil: relax USES=python
Summary: devel/py-pyutil: relax USES=python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-19 19:50 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2018-03-30 20:37 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (wen)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2018-03-19 19:50:42 UTC
Relax USES=python

- Fix version requirement of RUN_DEPENDS
- Add NO_ARCH
- Allow concurrent installation (USE_PYTHON=concurrent)
- Bump PORTREVISION for dependency and package change
Comment 1 Wen Heping freebsd_committer 2018-03-29 15:18:01 UTC
Approved, please go on.
Thanks !

wen
Comment 2 commit-hook freebsd_committer 2018-03-29 20:02:18 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Mar 29 20:01:51 UTC 2018
New revision: 465923
URL: https://svnweb.freebsd.org/changeset/ports/465923

Log:
  Relax USES=python

  - Fix version requirement of RUN_DEPENDS
  - Add NO_ARCH
  - Allow concurrent installation (USE_PYTHON=concurrent)
  - Bump PORTREVISION for dependency and package change

  PR:		226771
  Submitted by:	sunpoet (myself)
  Approved by:	wen (maintainer)

Changes:
  head/devel/py-pyutil/Makefile
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-03-29 20:17:02 UTC
Committed. Thanks!
Comment 4 Antoine Brodin freebsd_committer 2018-03-30 20:37:54 UTC
This can't work,  how was this tested?